#!/usr/bin/env cwl-runner
cwlVersion: v1.2
class: CommandLineTool

label: Run fastqc on raw reads in FASTQ format (single or paired end) or aligned reads in BAM.

doc: |
  simplified from: https://github.com/common-workflow-library/bio-cwl-tools/blob/66f620da5b0a11e934a6da83272205a2516bcd91/fastqc/fastqc_1.cwl
  
  Run fastqc on raw reads in FASTQ format (single or paired end) or aligned reads in BAM.

hints:
  ResourceRequirement:
    coresMin: 1
    ramMin: 5000
  DockerRequirement:
    dockerPull: quay.io/biocontainers/fastqc:0.11.9--hdfd78af_1
  SoftwareRequirement:
    packages:
      fastqc:
        specs: [ https://identifiers.org/biotools/fastqc ]
        version: [ "0.11.9" ]


baseCommand: "fastqc"
arguments: 
  - valueFrom: $(runtime.outdir)
    prefix: "-o"
  - valueFrom: "--noextract"

inputs:
  fastq:
    type: File
    inputBinding:
      position: 1
 
outputs:
  fastqc_zip:
    doc: all data e.g. figures
    type: File
    outputBinding:
      glob: "*_fastqc.zip"
  fastqc_html:
    doc: html report showing results from zip
    type: File
    outputBinding:
      glob: "*_fastqc.html"
    
